return Def.ActorFrame {
	Def.Sprite {
		OnCommand=function (self)
			local course = GAMESTATE:GetCurrentCourse();
			if GAMESTATE:IsCourseMode() then
				if course:GetBackgroundPath() then
					self:Load(course:GetBackgroundPath())
				else
					self:Load(THEME:GetPathG("", "Common fallback background"));
				end;
			else
			local song = GAMESTATE:GetCurrentSong();
				if song then
					if song:HasBackground() then
						self:LoadFromSongBackground(GAMESTATE:GetCurrentSong());
					else
						self:Load(THEME:GetPathG("","Common fallback background"));
					end;
				else
					self:Load(THEME:GetPathG("","Common fallback background"));
			end;
			self:FullScreen();
		end;
		end;
	};
	LoadFont("_title")..{
		InitCommand=cmd(x,SCREEN_LEFT+26;y,SCREEN_TOP+45;horizalign,left);
		OnCommand=function(self)
			StageIdx = GAMESTATE:GetCurrentStageIndex() + 1;
			self:settext("STAGE "..StageIdx);
		end;
	};
	LoadFont("_menus")..{
		InitCommand=cmd(x,SCREEN_RIGHT-26;y,SCREEN_BOTTOM-45;horizalign,right;settext,"LOADING...");
	};
}